Ext.define('DSS.addon.EventMailer', {

    extend : 'DSS.addon.Framework',

    config : {
        appName : _('Benachrichtigungen'),
        appId : 'hleedit',
        appVersion : '1.0.0.0',
        appIcon : 'default_icon.png',
        appLang : 'de_DE'
    },

    getHelp : function() {
        return Ext.create('Ext.Component', {
            loader : {
                url : 'locale/' + this.appLang + '/LC_MESSAGES/help.html',
                autoLoad : true,
                disableCaching : false
            }
        });
    },

    getContent : function() {
        return Ext.create('DSS.addon.EventMailer.GridPanel', this.config);
    }
});

Ext.onReady(function() {
    var EmailEdit = Ext.create('DSS.addon.EventMailer');
    EmailEdit.initPage();
});
